## org.firebirdsql.jdbc
Class FBConnectionHelper

    java.lang.Object
      org.firebirdsql.jdbc.FBConnectionHelper

    public class FBConnectionHelper

extends Object

This class maps the extended JDBC properties to the `FBConnectionRequestInfo` instance. It uses `java.lang.reflection.` to determine correct type of the parameter passed to the `Driver.connect(String, Properties)` method.

Version:
  1.0
Author:
  Roman Rokytskyy

Field Summary
`static String` `DPB_PREFIX`
`static String` `ISC_DPB_TYPES_RESOURCE`
`static String` `TPB_MAPPING_PROPERTY`
`static String` `TPB_PREFIX`
`static String` `TRANSACTION_READ_COMMITTED`
`static String` `TRANSACTION_REPEATABLE_READ`
`static String` `TRANSACTION_SERIALIZABLE`

Constructor Summary
`FBConnectionHelper()`

Method Summary
`static Integer` `getDpbKey(String name)` Get integer value of the DPB key corresponding to the specified name.
`static Map` `getDpbMap()` Get mapping between DPB names and their keys.
`static Integer` `getTpbParam(String name)` Get value of TPB parameter for the specified name.
`static Object` `parseDpbString(String name, Object value)`
`static void` `processTpbMapping(GDS gds, FirebirdConnectionProperties connectionProperties, Properties info)` This method extracts TPB mapping information from the connection parameters.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### TRANSACTION_SERIALIZABLE

    public static final String TRANSACTION_SERIALIZABLE

See Also:
  Constant Field Values

### TRANSACTION_REPEATABLE_READ

    public static final String TRANSACTION_REPEATABLE_READ

See Also:
  Constant Field Values

### TRANSACTION_READ_COMMITTED

    public static final String TRANSACTION_READ_COMMITTED

See Also:
  Constant Field Values

### DPB_PREFIX

    public static final String DPB_PREFIX

See Also:
  Constant Field Values

### TPB_PREFIX

    public static final String TPB_PREFIX

See Also:
  Constant Field Values

### TPB_MAPPING_PROPERTY

    public static final String TPB_MAPPING_PROPERTY

See Also:
  Constant Field Values

### ISC_DPB_TYPES_RESOURCE

    public static final String ISC_DPB_TYPES_RESOURCE

See Also:
  Constant Field Values

Constructor Detail

### FBConnectionHelper

    public FBConnectionHelper()

Method Detail

### getDpbKey

    public static Integer getDpbKey(String name)

  Get integer value of the DPB key corresponding to the specified name.

  Parameters:
    `name` - name of the key.
  Returns:
    instance of `Integer` corresponding to the specified name or `null` if value is not known.

### getDpbMap

    public static Map getDpbMap()

  Get mapping between DPB names and their keys.

  Returns:
    instance of `Map`, where key is the name of DPB parameter, value is its DPB key.

### parseDpbString

    public static Object parseDpbString(String name,
                                        Object value)

### processTpbMapping

    public static void processTpbMapping(GDS gds,
                                         FirebirdConnectionProperties connectionProperties,
                                         Properties info)
                                  throws FBResourceException

  This method extracts TPB mapping information from the connection parameters. Two formats are supported:
  - `info` contains `"tpb_mapping"` parameter pointing to a resource bundle with mapping information;
  - `info` contains separate mappings for each of following transaction isolation levels: `"TRANSACTION_SERIALIZABLE"`, `"TRANSACTION_REPEATABLE_READ"` and `"TRANSACTION_READ_COMMITTED"`.

  Parameters:
    `info` - connection parameters passed into a driver.
  Throws:
    `FBResourceException` - if specified mapping is incorrect.

### getTpbParam

    public static Integer getTpbParam(String name)

  Get value of TPB parameter for the specified name. This method tries to match string representation of the TPB parameter with its value.

  Parameters:
    `name` - string representation of TPB parameter, can have "isc_tpb_" prefix.
  Returns:
    value corresponding to the specified parameter name or null if nothing was found.

Copyright © 2001-2010. All Rights Reserved.